aggiornamento java

4 risposte [Ultimo messaggio]
Ritratto di rob_mdvita
rob_mdvita
(Monster)
Offline
Monster
Iscritto: 11/07/2007
Messaggi: 423

Ciao ho aggiornato java alla 1.5.0.11-12 col rpm di MIB, ma ho visto sul sito di java che l'ultima versione è la 1.6 infatti sul MIB/non-free/java c'è:

java-1.6.0-sun-1.6.0.02-1.0.8.mib2007.1.i686.rpm

che faccio la metto? perché con urpmi --auto-update non mi ha detto di installare questa ma di aggiornare dalla 1.5.0.11-6 che avevo prima alla 1.5.0.11-12.
Che devo fare, devo prima disinstallare con urpme e poi riinstallare la 1.6 oppurre scarico gli rpm della 1.6 e li installo sopra?
ciao

Ritratto di fla602
fla602
(Geek)
Offline
Geek
Iscritto: 11/12/2005
Messaggi: 57

Quote:

Ciao ho aggiornato java alla 1.5.0.11-12 col rpm di MIB, ma ho visto sul sito di java che l'ultima versione è la 1.6 infatti sul MIB/non-free/java c'è:

esiste però nei repo ufficiali java 1.6.0.-1.6.0.0.2 lib

ciao caoi

:idea: Fla602

mandriva 2008 free+MIB/mandriva2008spring vitualboxsun
Compaq nx6110-2008.1

Ritratto di rob_mdvita
rob_mdvita
(Monster)
Offline
Monster
Iscritto: 11/07/2007
Messaggi: 423

e perché urpmi --auto-update non me lo dice??
cioè se ora io faccio urpmi --auto-update mi dice che il sistema è aggiornato...!!! è come se l'update vede solo la sottoversione e non aggornia mai una cosa dalla 1.5 alla 1.6 ma solo 1.5.etc e così via...

magari è una cosa banale ma io non lo sapevo!!! anche firefox quando uscì la versione 2 lui non te l'aggiornava in automatico ma continuava con gli aggiornamenti della serie 1.5.x... boh?

ciao

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Java 1.5 e Java 1.6 sono visti come programmi diversi e possono coesistere sulla stessa macchina per cui l'aggiornamento non li vedrà mai.

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di rob_mdvita
rob_mdvita
(Monster)
Offline
Monster
Iscritto: 11/07/2007
Messaggi: 423

ah fico!! non lo sapevo!! che mi consigli di fare? installo pure la 1.6 e me le tengo tutte e due oppure la disinstallo la 1.5??
ciao